EnKash Developer Portal
Home
Home
Login
  1. Redemption
  • Back to home
  • APIs - Reward
  • Token APIs
    • Authentication
    • Single Sign On (SSO)
  • Reward Allocation
    • Create And Allocate Points
    • Bulk Create And Allocate Rewards
    • Get Reward Account Details
    • Get Reward Transaction Details
    • Get User Details
    • Get User Card Details
  • Incentive Allocation
    • Incentive Create And Allocation
    • Get Incentive Transaction details
    • Get User Details
  • Redemption
    • User Authentication
      POST
    • Search Catalog
      POST
    • Product Details
      GET
    • create order
      POST
    • Fetch Order Info by Partner order Reference id
      GET
  • Point Management
    • Overview
    • Create Event
    • Get Event
    • Update Event
    • Allocate Coins
    • Get Balance
  1. Redemption

Fetch Order Info by Partner order Reference id

Developing
GET
/api/v0/partner/fetch-order-details/123445
This API faciltates fetching order details such as voucher code, pin and other important details.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Example
{ "orderId": "OR631764TS4UC"}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://marketplace-uat.enkash.in/api/v0/partner/fetch-order-details/123445' \
--header 'authorization: Bearer tYte80xqTDUodXslo2ShHle_eXo' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{ "orderId": "OR631764TS4UC"}'

Responses

🟢200
application/json
Body

Examples
{
  "paylod" : {
  "orderId": "12345",
  "paymentStatus": "SUCCESS",
  "orderStatus": "SUCCESS",
  "totalQuantity": 10,
  "totalAmount": 5000.00,
  "orderAmount": 4500.00,
  "paidAmount": 4500.00,
  "partnerOrderReferenceId": "REF123456789",
  "voucherDetailsList": [
    {
      "cardNumber": "1234567890123456",
      "pin": "1234",
      "expiryDate": "2025-12-31T23:59:59"
    },
    {
      "cardNumber": "6543210987654321",
      "pin": "5678",
      "expiryDate": "2026-06-30T23:59:59"
    }
  ]
  },
  "response_message": "Success",
  "response_code": "0"
}
Modified at 2026-04-13 07:52:47
Previous
create order
Next
Overview
Built with